#!/bin/bash

set -e

echo "deploying image"
deploymentrepo="$TMP/deployments"

cd "$deploymentrepo"

[[ -z $(git status -s) ]] && (echo 'git repository is clean'; exit 0)

git add . && git commit --allow-empty -m "Added release $SERVICE: ${COMMIT_SHA:0:10}" && git pull && git push
